---
title: "GET /_system/local_devices/device/{type}/{guid}/pose - Local Devices · RUAL Documentation"
description: "Get current pose/position data for a device (Dobot specific)"
canonical: https://docs.rual.nl/cluster/api/local-devices/system-local-devices-device--type---guid--pose-get
language: en
---

# GET /_system/local_devices/device/{type}/{guid}/pose

Get current pose/position data for a device (Dobot specific)

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **type** required | `string` | `"example"` | GUID of the device. |
| **guid** required | `string` | `"example"` | Unique identifier (GUID) |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{
  "r": 12.5,
  "timestamp": 1782166695813,
  "x": 12.5,
  "y": 12.5,
  "z": 12.5
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `local_devices_view` | Required scope: local_devices_view |
